Page MenuHomeFreeBSD

Check PMTU before sending a frame.
ClosedPublic

Authored by wma on Jul 2 2021, 4:40 AM.
Tags
None
Referenced Files
Unknown Object (File)
Jan 3 2023, 11:07 PM
Unknown Object (File)
Dec 30 2022, 1:07 PM
Unknown Object (File)
Dec 30 2022, 1:07 PM
Unknown Object (File)
Dec 30 2022, 1:05 PM
Unknown Object (File)
Dec 19 2022, 6:08 AM
Unknown Object (File)
Dec 14 2022, 2:51 AM
Unknown Object (File)
Dec 13 2022, 2:55 PM
Subscribers

Details

Summary

If an encapsulated frame is going to have DF bit set check its desitnitions'
PMTU and if it won't fit drop it and:

  1. Generate ICMP 3/4 message if the packet was to be forwarded.
  2. Return EMSGSIZE error otherwise.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

wma requested review of this revision.Jul 2 2021, 4:40 AM
sys/netipsec/ipsec_output.c
357

why do we conditionally free m here?

sys/netipsec/ipsec_output.c
357

icmp_error() always consumes mbuf.

This revision was not accepted when it landed; it landed in state Needs Review.Aug 13 2021, 7:24 AM
Closed by commit rG6b66194bcb7e: ipsec: Check PMTU before sending a frame. (authored by kd, committed by wma). · Explain Why
This revision was automatically updated to reflect the committed changes.